Page MenuHomePhabricator

Requesting access to machines [stat1004, stat1007, stat1006, notebook1003, and notebook1004] and groups for Mayakpwiki
Closed, ResolvedPublic

Description

Wikitech username: Mayakpwiki
preferred shell username: Mayakpwiki
developer access username / Instance shell account name in preferences: Mayakpwiki
Full name: Maya Kampurath
REQUEST: I will need access to stat1004, stat1007, and stat1006, notebook1003, notebook1004, and to be added to these groups: wikidev, analytics-privatedata-users, researchers, and nda groups.
REASONING: I am supporting the Product Analytics team as a Data Quality Analyst and will be required to perform data analysis for the Better Use of Data project.
VERIFICATION: @kzimmerman will be overseeing this work (and the data analysis portion can be verified by @kzimmerman and @mpopov) I'm a WMF data quality analyst contractor. I have signed the Acknowledgement of Wikimedia Server Access Responsibilities. I have an NDA filed with legal. Also, note: The NDA indicates access to stat1005 and can be updated with the new name for that machine, stat1007, if needed.
Thank you!

ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAILW2QuFPljt+26a3ZnhCFVMpcZVR8dalHSJjjvKEevfU wmfloaner@LoanerWMF1767

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2019, 11:59 PM
Mayakp.wiki updated the task description. (Show Details)Jul 10 2019, 12:23 AM

Approved as Maya's manager!

@ArielGlenn wanted to make sure you saw this; Maya is blocked on tasks until she has database access.

@RStallman-legalteam can you verify here that the appropriate NDA has been signed and is on file?

@kzimmerman - seems like Maya may have signed an NDA through T&C. I can check with them. I don't have record of one in the legal filing system.

@kzimmerman The clinic duty person handles these (though not this weekend). I don't remember who that will be off hand but it's part of their routine :-)

kzimmerman added a comment.EditedJul 12 2019, 10:28 PM

Thanks @ArielGlenn - we hadn't heard anything since Maya submitted this on Tuesday and I remember you responded quickly when Irene submitted her request a couple months ago (I guess you must have been the clinic duty person at the time!)

ETA: Maya won't be working this weekend either of course :) ... I believe T&C provided the NDA and I'm waiting to hear confirmation that it's what we need

@RStallman-legalteam does the NDA HR sent you meet the needs here? Thanks!

fsero added a subscriber: fsero.Jul 17 2019, 2:27 PM

as long @RStallman-legalteam comes back with a positive result, the clinic duty person will move this forward (this week i am this person)

fsero triaged this task as Normal priority.Jul 17 2019, 2:27 PM

The NDA is signed. Fine to move forward. Thanks!

kzimmerman renamed this task from Requesting access to machines [stat1004, stat1005 (now stat1007), and stat1006] and groups for Mayakpwiki to Requesting access to machines [stat1004, stat1007, stat1006, notebook1003, and notebook1004] and groups for Mayakpwiki.Jul 18 2019, 7:13 PM
kzimmerman updated the task description. (Show Details)

Updated ticket to reflect need for notebook1003 & notebook1004 as well

@fsero I believe we're good to go on the legal/management side

Change 524404 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/puppet@production] admin: creates Mayakpwiki shell access and membership to groups

https://gerrit.wikimedia.org/r/524404

Change 524404 merged by Fsero:
[operations/puppet@production] admin: creates Mayakpwiki shell access and membership to groups

https://gerrit.wikimedia.org/r/524404

fsero added a comment.Jul 19 2019, 6:02 AM

@kzimmerman @Mayakp.wiki done, feel free to reopen if you find any issues.

fsero closed this task as Resolved.Jul 19 2019, 6:02 AM
fsero claimed this task.

Change 524405 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/puppet@production] admin: creates Mayakpwiki shell access and membership to groups

https://gerrit.wikimedia.org/r/524405

Change 524405 merged by Fsero:
[operations/puppet@production] admin: creates Mayakpwiki shell access and membership to groups

https://gerrit.wikimedia.org/r/524405

Change 524473 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add contract end date for Maya

https://gerrit.wikimedia.org/r/524473

Change 524473 merged by Muehlenhoff:
[operations/puppet@production] Add contract end date for Maya

https://gerrit.wikimedia.org/r/524473

@kzimmerman Hi Kate, can you please provide my contract end date here ?
Thanks!

[Note: This task is public.]

@fsero : Please advise if access is provided. Thanks!